<template>
  <div>
    <h1>Редактирование продукта</h1>
    <input v-model="product.name" type="text" placeholder="Название продукта">
    <input v-model="product.price" type="text" placeholder="Цена продукта">
    <button @click="saveProduct">Сохранить изменения</button>
  </div>
</template>

<script setup>
import { useProductStore } from '@/stores/products';
import { ref, onMounted } from 'vue';
import { useRoute, useRouter } from 'vue-router';

const store = useProductStore();
const route = useRoute();
const router = useRouter();
const productId = route.params.id;
const product = ref(null);
console.log(productId);
onMounted(async () => {
  product.value = await store.fetchProduct(productId);
});

const saveProduct = async () => {
  await store.updateProduct(productId, product);
  router.push('/products');
};
</script>
